/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package vista.sumKidsVista;

import Atxy2k.CustomTextField.RestrictedTextField;
import controlador.autorizacion.ctrValidacion;
import controlador.ctrlSunKidsClub.controladorSecretaria;
import controlador.tda.lista.ListaEnlazada;
import controlador.tda.lista.exception.PosicionException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import modelo.SumKids.Estudiantes;
import modelo.SumKids.Representantes;
import modelo.enums.estadoMatricula;

/**
 *
 * @author User
 */
public class FrmEstudiante extends javax.swing.JFrame {
    
    private controladorSecretaria secretaria ;
      private ListaEnlazada<Representantes> lr = new ListaEnlazada<>();
      private    ListaEnlazada<Estudiantes> lP = new ListaEnlazada<>();
    /**
     * 
     * Creates new form FrmEstudiante
     */
    public FrmEstudiante() {
        initComponents();
        this.setLocationRelativeTo(null);
        RestriccionTex();
    }
        public FrmEstudiante(controladorSecretaria secre) {
        initComponents();
        this.setLocationRelativeTo(null);
        RestriccionTex();
        this.secretaria = secre;
    }

    public void limpiar() {
        txtRepresentante.setText("");
        txtApellido.setText("");
        txtNombre.setText("");
        txtIdentificacion.setText("");
        txtDireccion.setText("");
    }
    public void RestriccionTex(){
    RestrictedTextField i = new RestrictedTextField(txtIdentificacion);
        i.setLimit(10);
        i.setOnlyNums(true);
        RestrictedTextField n = new RestrictedTextField(txtNombre);
        n.setLimit(20);
        n.setOnlyText(true);
        RestrictedTextField a = new RestrictedTextField(txtApellido);
        a.setLimit(25);
        a.setOnlyText(true);
        RestrictedTextField di = new RestrictedTextField(txtDireccion);
        di.setLimit(20);
    }
    public Boolean verificarCampos() {
        if (txtNombre.getText().isEmpty() || txtApellido.getText().isEmpty()
                || txtDireccion.getText().isEmpty() || txtIdentificacion.getText().isEmpty() || txtRepresentante.getText().isEmpty()) {
            JOptionPane.showMessageDialog(null, "Campos Vacíos", "ERROR", JOptionPane.ERROR_MESSAGE);
            return false;
        }
        return true;
    }

    public void verificarEditar() {
        if (tblEstudiantes.getSelectedRow() >= 0) {
        } else {
            JOptionPane.showMessageDialog(null, "Fila no seleccionada");
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel4 = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        txtNombre = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        txtApellido = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        txtIdentificacion = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        txtDireccion = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        cmdAgregar = new javax.swing.JButton();
        cmdActualizar = new javax.swing.JButton();
        cmdNuevo = new javax.swing.JButton();
        btnAtras = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        txtRepresentante = new javax.swing.JTextField();
        tbnEscoger = new javax.swing.JButton();
        cbxMateria = new javax.swing.JComboBox<>();
        cbxHorario = new javax.swing.JComboBox<>();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        cbxSexo = new javax.swing.JComboBox<>();
        jLabel11 = new javax.swing.JLabel();
        txtFecha = new com.toedter.calendar.JDateChooser();
        jPanel5 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tblEstudiantes = new javax.swing.JTable();
        jLabel6 = new javax.swing.JLabel();
        jPanel6 = new javax.swing.JPanel();
        jButton1 = new javax.swing.JButton();
        txtBuscar = new javax.swing.JTextField();
        jComboBox1 = new javax.swing.JComboBox<>();
        cmdCerrar = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setUndecorated(true);

        jPanel4.setBackground(new java.awt.Color(255, 255, 255));
        jPanel4.setLayout(null);

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));
        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 3), "   Información Personal   ", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14))); // NOI18N
        jPanel1.setLayout(null);

        jPanel2.setOpaque(false);
        jPanel2.setLayout(null);

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel1.setText("Nombre:");
        jPanel2.add(jLabel1);
        jLabel1.setBounds(10, 10, 90, 40);

        txtNombre.setPreferredSize(new java.awt.Dimension(160, 20));
        jPanel2.add(txtNombre);
        txtNombre.setBounds(120, 10, 160, 30);

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel2.setText("Apellido:");
        jPanel2.add(jLabel2);
        jLabel2.setBounds(10, 50, 110, 40);

        txtApellido.setPreferredSize(new java.awt.Dimension(160, 20));
        jPanel2.add(txtApellido);
        txtApellido.setBounds(120, 50, 160, 30);

        jLabel3.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel3.setText("Identificación:");
        jPanel2.add(jLabel3);
        jLabel3.setBounds(10, 90, 110, 40);

        txtIdentificacion.setPreferredSize(new java.awt.Dimension(160, 20));
        jPanel2.add(txtIdentificacion);
        txtIdentificacion.setBounds(120, 90, 160, 30);

        jLabel4.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel4.setText("Dirección:");
        jPanel2.add(jLabel4);
        jLabel4.setBounds(10, 130, 100, 40);

        txtDireccion.setPreferredSize(new java.awt.Dimension(160, 20));
        jPanel2.add(txtDireccion);
        txtDireccion.setBounds(120, 130, 160, 30);

        jLabel5.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel5.setText("Fecha:");
        jPanel2.add(jLabel5);
        jLabel5.setBounds(10, 210, 100, 40);

        jPanel3.setBorder(javax.swing.BorderFactory.createEtchedBorder(javax.swing.border.EtchedBorder.RAISED));
        jPanel3.setOpaque(false);
        jPanel3.setLayout(null);

        cmdAgregar.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        cmdAgregar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/add.png"))); // NOI18N
        cmdAgregar.setText("Agregar");
        cmdAgregar.setToolTipText("Agregar");
        cmdAgregar.setPreferredSize(new java.awt.Dimension(120, 25));
        cmdAgregar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdAgregarActionPerformed(evt);
            }
        });
        jPanel3.add(cmdAgregar);
        cmdAgregar.setBounds(10, 20, 120, 25);

        cmdActualizar.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        cmdActualizar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/edit.png"))); // NOI18N
        cmdActualizar.setText("Editar");
        cmdActualizar.setToolTipText("Editar");
        cmdActualizar.setPreferredSize(new java.awt.Dimension(120, 25));
        cmdActualizar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdActualizarActionPerformed(evt);
            }
        });
        jPanel3.add(cmdActualizar);
        cmdActualizar.setBounds(10, 60, 120, 25);

        cmdNuevo.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        cmdNuevo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/del.png"))); // NOI18N
        cmdNuevo.setText("Cancelar");
        cmdNuevo.setToolTipText("Nuevo");
        cmdNuevo.setPreferredSize(new java.awt.Dimension(120, 25));
        cmdNuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdNuevoActionPerformed(evt);
            }
        });
        jPanel3.add(cmdNuevo);
        cmdNuevo.setBounds(10, 100, 120, 25);

        btnAtras.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnAtras.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/door.png"))); // NOI18N
        btnAtras.setText("Atrás");
        btnAtras.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAtrasActionPerformed(evt);
            }
        });
        jPanel3.add(btnAtras);
        btnAtras.setBounds(10, 150, 120, 24);

        jPanel2.add(jPanel3);
        jPanel3.setBounds(330, 10, 149, 189);

        jLabel8.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel8.setText("Horario:");
        jPanel2.add(jLabel8);
        jLabel8.setBounds(300, 290, 90, 40);

        txtRepresentante.setPreferredSize(new java.awt.Dimension(90, 20));
        jPanel2.add(txtRepresentante);
        txtRepresentante.setBounds(130, 250, 160, 30);

        tbnEscoger.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        tbnEscoger.setText("+");
        tbnEscoger.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tbnEscogerActionPerformed(evt);
            }
        });
        jPanel2.add(tbnEscoger);
        tbnEscoger.setBounds(330, 250, 80, 30);

        cbxMateria.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Terapia de lenguaje", "Ingles", "Matematica", "Estimulacion temprana" }));
        jPanel2.add(cbxMateria);
        cbxMateria.setBounds(130, 300, 150, 30);

        cbxHorario.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "2", "3", "5" }));
        jPanel2.add(cbxHorario);
        cbxHorario.setBounds(380, 300, 80, 30);

        jLabel9.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel9.setText("Representante:");
        jPanel2.add(jLabel9);
        jLabel9.setBounds(10, 250, 120, 40);

        jLabel10.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel10.setText("Materia:");
        jPanel2.add(jLabel10);
        jLabel10.setBounds(40, 300, 70, 30);

        cbxSexo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "F", "M", "N" }));
        jPanel2.add(cbxSexo);
        cbxSexo.setBounds(120, 170, 50, 30);

        jLabel11.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel11.setText("Genero:");
        jPanel2.add(jLabel11);
        jLabel11.setBounds(10, 170, 100, 40);
        jPanel2.add(txtFecha);
        txtFecha.setBounds(130, 210, 160, 30);

        jPanel1.add(jPanel2);
        jPanel2.setBounds(10, 10, 520, 340);

        jPanel4.add(jPanel1);
        jPanel1.setBounds(30, 100, 540, 360);

        jPanel5.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)), "Buscar", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 12))); // NOI18N
        jPanel5.setOpaque(false);
        jPanel5.setLayout(null);

        tblEstudiantes.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        tblEstudiantes.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                tblEstudiantesMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(tblEstudiantes);

        jPanel5.add(jScrollPane1);
        jScrollPane1.setBounds(10, 20, 530, 140);

        jPanel4.add(jPanel5);
        jPanel5.setBounds(20, 560, 550, 170);

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/Logo (1).jpg"))); // NOI18N
        jPanel4.add(jLabel6);
        jLabel6.setBounds(260, 20, 200, 70);

        jPanel6.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)), "Buscar", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 12))); // NOI18N
        jPanel6.setOpaque(false);
        jPanel6.setLayout(null);

        jButton1.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jButton1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/find.png"))); // NOI18N
        jButton1.setText("Buscar");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        jPanel6.add(jButton1);
        jButton1.setBounds(390, 20, 110, 30);
        jPanel6.add(txtBuscar);
        txtBuscar.setBounds(200, 20, 160, 30);

        jComboBox1.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Identificacion", "Id" }));
        jPanel6.add(jComboBox1);
        jComboBox1.setBounds(60, 20, 100, 30);

        jPanel4.add(jPanel6);
        jPanel6.setBounds(30, 480, 540, 70);

        cmdCerrar.setBackground(new java.awt.Color(255, 255, 255));
        cmdCerrar.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        cmdCerrar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/del.png"))); // NOI18N
        cmdCerrar.setToolTipText("Eliminar");
        cmdCerrar.setPreferredSize(new java.awt.Dimension(120, 25));
        cmdCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdCerrarActionPerformed(evt);
            }
        });
        jPanel4.add(cmdCerrar);
        cmdCerrar.setBounds(530, 0, 60, 30);

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/1939.jpg"))); // NOI18N
        jLabel7.setOpaque(true);
        jPanel4.add(jLabel7);
        jLabel7.setBounds(-10, 0, 610, 740);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel4, javax.swing.GroupLayout.DEFAULT_SIZE, 594, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel4, javax.swing.GroupLayout.DEFAULT_SIZE, 742, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void tbnEscogerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tbnEscogerActionPerformed
          try {
            lr = this.secretaria.busacarRepresentantes(this.txtRepresentante.getText(), "identificacion", false);
            if (lr.estaVacia()) {
                JOptionPane.showMessageDialog(null,"Porfavor registre el usuario");
                 new FrmRepresentante(secretaria).setVisible(true);
            }else{
            JOptionPane.showMessageDialog(null,"Usuario cargado correctamente");
            }
                //System.out.println(lr.obtenerDato(0).getIdentificacion());
        } catch (Exception e) {
            System.out.println("error"+e);   
        }
    }//GEN-LAST:event_tbnEscogerActionPerformed
 
    private void btnAtrasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAtrasActionPerformed
        new FrmMenuSecr().setVisible(true);
        this.setVisible(false);
    }//GEN-LAST:event_btnAtrasActionPerformed
public Estudiantes retorE() throws PosicionException { 
        Calendar fecha1 = txtFecha.getCalendar();
      int m =   fecha1.get(Calendar.YEAR);

        estadoMatricula e = null;
        String apellidos = null;
        String nombre = null;
        String identificacion = null;
        char g;
        String direccion = null;
        if (verificarCampos()) {
            e = estadoMatricula.APRO;
            apellidos = txtApellido.getText().toUpperCase();
            nombre = txtNombre.getText().toUpperCase();
            ctrValidacion val = new ctrValidacion();
            identificacion = txtIdentificacion.getText().toUpperCase();
            if (!identificacion.equals(null)) {
                if (!val.validarCedula(identificacion)) {
                    JOptionPane.showMessageDialog(null, "Cedula no valida", "ERROR", JOptionPane.ERROR_MESSAGE);
                    return null;
                }
            }
            direccion = txtDireccion.getText().toUpperCase();
        }
        g = cbxSexo.getSelectedItem().toString().charAt(0);
        String h = cbxHorario.getSelectedItem().toString();
        
         int horas = Integer.parseInt(h);
         String materia = cbxMateria.getSelectedItem().toString().toUpperCase(); 
          Estudiantes estud = new Estudiantes(fecha1,apellidos,nombre,identificacion,g,direccion,secretaria.calcularPension(horas,materia));
           estud.setId_representante(lr.obtenerDato(0).getId_representante());     
           //estud.setEstado(estadoMatricula.APRO);
          if (secretaria.verficarEdad(m)) {     
                  estud.setEstado(estadoMatricula.APRO);
                    JOptionPane.showMessageDialog(null, "Estudiante aprobado");
          }else{
                 estud.setEstado(estadoMatricula.RECH);
                   JOptionPane.showMessageDialog(null, "Error en fecha");
          }
          System.out.println(ERROR);
      
            // System.out.println(estud.getPension());
             
     return estud;
    }
    
    private void cmdAgregarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdAgregarActionPerformed
      try {
            secretaria.guardarEstudiante(this.retorE());
            JOptionPane.showMessageDialog(this, "Creado con exito");
        } catch (Exception ex) {
            System.out.println(ex);
            JOptionPane.showMessageDialog(this, "Fallo al crear");
        }
        
    }//GEN-LAST:event_cmdAgregarActionPerformed
        public DefaultTableModel cargarTabal() throws PosicionException {
        DefaultTableModel model = new DefaultTableModel();
        model.addColumn("Identificacion");
        model.addColumn("Nombre");
        model.addColumn("Apellido");
        model.addColumn("Genero");
        model.addColumn("Direccion");
        model.addColumn("Pension");
        model.addColumn("Fecha Nac.");
        
     
        if ("Identificacion".equalsIgnoreCase(jComboBox1.getSelectedItem().toString())) {
            lP = secretaria.busacarEstudiantes(this.txtBuscar.getText(), "identificacion", false);
        } else {
            lP = secretaria.busacarEstudiantes(this.txtBuscar.getText(), "id_representante", false);
        }

        String datos[] = new String[7];
        for (int i = 0; i < lP.getSize(); i++) {
            datos[0] = lP.obtenerDato(i).getIdentificacion();
            datos[1] = lP.obtenerDato(i).getNombres();
            datos[2] = lP.obtenerDato(i).getApellidos();            
            datos[3] = String.valueOf(lP.obtenerDato(i).getGenero());
            datos[4] = lP.obtenerDato(i).getDireccion();
            datos[5] = String.valueOf(lP.obtenerDato(i).getPension());
            datos[6] = String.valueOf(new SimpleDateFormat("dd/MM/YYYY").format(lP.obtenerDato(i).getFechaNacimiento().getTime()));
            model.addRow(datos);
        }
        return model;
    }
    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        if (txtBuscar.getText().isEmpty()) {
            JOptionPane.showMessageDialog(null, "Campo Buscar Vacío", "ERROR", JOptionPane.ERROR_MESSAGE);
        } else {
            try {
                tblEstudiantes.setModel(this.cargarTabal());
            } catch (PosicionException ex) {
                Logger.getLogger(FrmEstudiante.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void cmdNuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdNuevoActionPerformed
        limpiar();

    }//GEN-LAST:event_cmdNuevoActionPerformed

    private void cmdActualizarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdActualizarActionPerformed
        verificarEditar();
        try {
        
            secretaria.updateEstudiantes(txtDireccion.getText(),lP.obtenerDato(0).getIdentificacion());
             } catch (PosicionException ex) {
            Logger.getLogger(FrmProfesor.class.getName()).log(Level.SEVERE, null, ex);

        } catch (Exception ex) {
            Logger.getLogger(FrmProfesor.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_cmdActualizarActionPerformed

    private void cmdCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdCerrarActionPerformed
        System.exit(0);
    }//GEN-LAST:event_cmdCerrarActionPerformed

    private void tblEstudiantesMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tblEstudiantesMouseClicked
     int fila = tblEstudiantes.rowAtPoint(evt.getPoint());
     
        this.txtDireccion.setText(String.valueOf(tblEstudiantes.getValueAt(fila, 3)));

        
    }//GEN-LAST:event_tblEstudiantesMouseClicked

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmEstudiante.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmEstudiante.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmEstudiante.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmEstudiante.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FrmEstudiante().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAtras;
    private javax.swing.JComboBox<String> cbxHorario;
    private javax.swing.JComboBox<String> cbxMateria;
    private javax.swing.JComboBox<String> cbxSexo;
    private javax.swing.JButton cmdActualizar;
    private javax.swing.JButton cmdAgregar;
    private javax.swing.JButton cmdCerrar;
    private javax.swing.JButton cmdNuevo;
    private javax.swing.JButton jButton1;
    private javax.swing.JComboBox<String> jComboBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable tblEstudiantes;
    private javax.swing.JButton tbnEscoger;
    private javax.swing.JTextField txtApellido;
    private javax.swing.JTextField txtBuscar;
    private javax.swing.JTextField txtDireccion;
    private com.toedter.calendar.JDateChooser txtFecha;
    private javax.swing.JTextField txtIdentificacion;
    private javax.swing.JTextField txtNombre;
    private javax.swing.JTextField txtRepresentante;
    // End of variables declaration//GEN-END:variables
}
